Page MenuHomePhabricator

Undo/rollback for Schemas
Closed, ResolvedPublic5 Story Points

Description

A user should be able to revert to the previous version of a Schema via the usual undo, restore, or rollback actions.

GIVEN a change has been made on a Shex
AND the user is allowed to make changes
THEN they can select the desired version
AND see the shape expression was reverted to that version

Acceptance Criteria

  • A user can select version to revert to
  • A user can revert to that version
NOTE: restore is a separate task now, T214915.

Event Timeline

noarave created this task.Jan 22 2019, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 3:11 PM
Lydia_Pintscher triaged this task as High priority.Jan 29 2019, 8:35 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Restore, revert and undo (three different operations!) need to work like they do for Items.

Tarrow added a subscriber: Tarrow.EditedJan 29 2019, 12:43 PM

To get some more details I tested on https://test.wikidata.org/w/index.php?title=Q177525

For UNDO:
In the history of an item there is an undo link
Clicking it takes you to a diff page (nicely formatted with a section for "description")
There is a summary box which will apparently be appended to the automatic summary
There is a publish changes button
Clicking this takes you to the view entity page
The page history now shows a new entry with (‎Undo revision 424509 by 10.68.16.199 (talk))
This edit entry is also tagged with Tag: Undo

Trying to undo the same edit again results in:

1 change cannot be undone because the value has changed in the meantime.

There is nothing that can be undone here.

Trying to undo the undo takes us back to where we started

For restore:
The restore link in the item history take you to a diff page (nicely formatted)
There is a publish changes button
This takes you back to the view item page
message in history looks like: Restore revision 424510 by 10.68.16.199

hoo updated the task description. (Show Details)Jan 29 2019, 1:29 PM
Lucas_Werkmeister_WMDE renamed this task from Revert to previous version of a shape expression to Undo/rollback/restore for Schemas.Jan 29 2019, 1:40 PM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Lucas_Werkmeister_WMDE set the point value for this task to 8.

Note: rollback works out of the box (example); undo requires special work because by default it sends you to an edit page (Wikibase only shows you a diff, with no ability to edit); restore is a Wikibase-specific feature (for normal Wikitext pages you edit an old revision and save that).

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jan 30 2019, 1:33 PM
Lucas_Werkmeister_WMDE renamed this task from Undo/rollback/restore for Schemas to Undo/rollback for Schemas.Feb 25 2019, 2:17 PM
Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Lucas_Werkmeister_WMDE changed the point value for this task from 8 to 5.

Undo/rollback is mostly done, except for custom edit summaries, see T214914.

Lydia_Pintscher closed this task as Resolved.Feb 27 2019, 11:26 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.

\o/